Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.query.base
Class Query

    java.lang.Object
      com.ibm.websphere.query.base.Query

All Implemented Interfaces:
  IQuery, IStringBuilder, java.io.Serializable

Direct Known Subclasses:
  SelectQuery

    public abstract class Query

extends java.lang.Object
implements IQuery

The base abstract implementation of IQuery.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `COPYRIGHT`

Constructor Summary
`Query()`
`Query(Query query)`

Method Summary
`java.lang.String` | `buildPredicateString(ISelectQueryCallback builder)` Builds a predicate string for the query by delegating the operation to the given query builder callback.
`void` | `buildPredicateString(ISelectQueryCallback builder, java.lang.StringBuffer sb)`
`ICondition[]` | `getCollectionParams()` Returns the resource collection parameters used in conjunction with this query.
`IFrom` | `getFrom()`
`Pagination` | `getPagination()`
`PredicateBase` | `getPredicate()`
`boolean` | `isCacheable()`
`void` | `setCacheable(boolean b)`
`void` | `setCollectionParams(ICondition[] collectionParams)` Sets the resource collection parameters used in conjunction with this query
`void` | `setFrom(IFrom from)`
`void` | `setPagination(Pagination pagination)`
`void` | `setPredicate(PredicateBase predicate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.ibm.websphere.query.base.IStringBuilder
`buildString, buildString`

Field Detail

### COPYRIGHT

    public static final java.lang.String COPYRIGHT

Constructor Detail

### Query

    public Query()

### Query

    public Query(Query query)

Method Detail

### getPagination

    public Pagination getPagination()

### setPagination

    public void setPagination(Pagination pagination)

### getPredicate

    public PredicateBase getPredicate()

  Specified by:
    `getPredicate` in interface `IQuery`
  See Also:
    `IQuery.getPredicate()`

### setPredicate

    public void setPredicate(PredicateBase predicate)

  Specified by:
    `setPredicate` in interface `IQuery`
  See Also:
    `IQuery.setPredicate(PredicateBase)`

### getCollectionParams

    public ICondition[] getCollectionParams()

  Returns the resource collection parameters used in conjunction with this query. Not normally used by most callback implementations.

  Specified by:
    `getCollectionParams` in interface `IQuery`

### setCollectionParams

    public void setCollectionParams(ICondition[] collectionParams)

  Sets the resource collection parameters used in conjunction with this query

  Specified by:
    `setCollectionParams` in interface `IQuery`

### getFrom

    public IFrom getFrom()

  Specified by:
    `getFrom` in interface `IQuery`
  See Also:
    `IQuery.getFrom()`

### setFrom

    public void setFrom(IFrom from)

  Specified by:
    `setFrom` in interface `IQuery`
  See Also:
    `IQuery.setFrom(com.ibm.websphere.query.base.IFrom)`

### buildPredicateString

    public java.lang.String buildPredicateString(ISelectQueryCallback builder)
                                          throws QueryException

  Builds a predicate string for the query by delegating the operation to the given query builder callback.

  Throws:
    `QueryException`

### buildPredicateString

    public void buildPredicateString(ISelectQueryCallback builder,
                                     java.lang.StringBuffer sb)
                              throws QueryException

  Throws:
    `QueryException`

### isCacheable

    public boolean isCacheable()

  Returns:

### setCacheable

    public void setCacheable(boolean b)

  Parameters:
    `b` -

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD